.wp-block-herdly-menu-slider {
  display: flex;
  overflow: hidden;
  position: relative;
  height: 800px;

  width: 100%; /* Assurez-vous que le carrousel prend toute la largeur */
}

.wp-block-herdly-menu-slider .menu-item {
  flex: 0 0 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: start;
  position: absolute; /* Positionner les éléments en dehors du flux normal */
  visibility: hidden; /* Masquer par défaut les pages non actives */
  opacity: 0;
  transition: opacity 1s ease-in-out, transform 1s ease-in-out; /* Animation fluide */
  transform: translateX(100%); /* Commencer hors de l'écran à droite */
}

.wp-block-herdly-menu-slider .menu-item.active {
  visibility: visible; /* Rendre visible la page active */
  opacity: 1;
  transform: translateX(0); /* Appliquer une transformation pour rendre la page visible */
}

.prev-next-btn {
  background-color: rgba(0, 0, 0, 0.05);
  font-size: 32px;
  border: none;
  height: 40px;
  width: 40px;
  border-radius: 40px;
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 800;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: 0.3s all ease-in-out;
  &:hover{
  opacity: 0.6;
  }
}

.slider-controls .prev-btn {
  left: 50px;
}

.slider-controls .next-btn {
  right: 50px;
}



.page-navigation{
  display: flex;
  gap: 20px;
  .page-link{
    cursor:pointer;
    letter-spacing: 1.4px;
  }
  .--active{
    letter-spacing: 0.4px;
    font-weight: 800;
  }
}

.empty-menu{
font-size: var(--wp--preset--font-size--medium);

}
.admin-message{
  padding:15px 20px;
  background: rgba(255, 81, 55, 0.60);
  color: #fff;

}
